Bug 442561 - ACPI: Error attaching device data
ACPI: Error attaching device data
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 11:15 EDT by Adrian "Adi1981" P.
Modified: 2009-07-14 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dmesg (37.47 KB, text/plain)
2008-04-15 11:16 EDT, Adrian "Adi1981" P.
no flags Details
ACPI: Error attaching device data dmesg (28.22 KB, application/octet-stream)
2008-08-24 16:21 EDT, Slobodan Sredojevic
no flags Details

  None (edit)
Description Adrian "Adi1981" P. 2008-04-15 11:15:35 EDT
Description of problem:
When booting last rawhide kernel, i get this error:

ACPI: EC: EC description table is found, configuring boot EC
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in poll mode
ACPI: PCI Root Bridge [PCI0] (0000:00)

But there's no problem with booting into system after this msg.

Version-Release number of selected component (if applicable):
2.6.25-0.218.rc8.git7.fc9.i686

How reproducible:
Every time

Steps to Reproduce:
1. Just boot into this kernel, i haven't seen this alert in previous kernels.
Comment 1 Adrian "Adi1981" P. 2008-04-15 11:16:35 EDT
Created attachment 302474 [details]
full dmesg
Comment 2 Bug Zapper 2008-05-14 05:29:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 testingV8 2008-06-11 21:38:24 EDT
This bug got back ported to Fedora 8 in a recent kernel update to
2.6.25.4-10.fc8. Running an HP Pavilion m8430f Intel quad-core. Had absolutely
no errors until this update.
Comment 4 Slobodan Sredojevic 2008-08-24 16:17:40 EDT
This is happening to me, too (with all kernels in F9  - to the latest 2.6.25.14-108.fc9.x86_64). During the kernel loading I see:
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: Error attaching device data
before message "Kernel Alive". I'll attach my dmesg.

Is it related with reading temperature sensor, as in F9 my /proc/acpi/thermal_zone directory is empty (there used to be an "temperature" file). That is probably the reason I can't read temperature via gnome-sensors-applet too but I don't know is it related to those ACPI errors reported.
Comment 5 Slobodan Sredojevic 2008-08-24 16:21:17 EDT
Created attachment 314887 [details]
ACPI: Error attaching device data dmesg
Comment 6 Slobodan Sredojevic 2008-09-13 19:17:52 EDT
This is fixed upstream and included in 2.6.26-rc1 kernel.
http://bugzilla.kernel.org/show_bug.cgi?id=9354

Latest Fedora 9 /stable kernel update delivered made "ACPI: Error attaching device data" messages dissappear. Can other reporters confirm the same?
Comment 7 Bug Zapper 2009-06-09 20:12:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:44:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.